SELECT lastname, firstname, store_number
  FROM person JOIN store ON id = manager_id
 WHERE EXISTS (SELECT invoice_number
                 FROM order_header oh
                WHERE oh.customer_id = store.manager_id)
/
